---
updatedAt: 2025-06-25T21:53:04.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Overview

NFTGo Developer Platform provides comprehensive, reliable, and powerful NFT API and SDKs for all communities, institutions, dapps, DAO organizations, and individual developers. You can easily access a series of ERC721 and ERC1155 protocol NFT token-related information such as metadata, holders, prices, transactions, etc. without setting up your own nodes and developing code, and completing bulk trading of NFT through GoTrading. In addition, we provide a wealth of indicators and historical data to help you quickly analyze and make smart decisions.

> The current(v1.1) APIs only support Ethereum. If you are looking for multi-chain API,  please check out [V2 Multichain API documentation](https://docs.nftgo.io/v2.2/reference).

Currently, we provide the following categories of API endpoints:

* **NFT\&Collection API**: Comprehensive NFT and collection data for all your needs.
* **Wallet API**: Track NFT portfolio, profit\&loss and other key metrics.
* **Order\&Trading API**: Listing and offer data feed, bulk buy and sell NFTs.
* **Analytics API**: Charts, advanced metrics and rankings.
* **Transaction History API**: Full historical NFT transaction data points.
* **NFT Pricing API**: Provide real-time and stable estimated price for every single NFT.

## Start your NFT journey with us!

We welcome you to build and explore the NFT ecosystem with NFTGo. Sign up and experience our data services today!

1. Register on [NFTGo Developers](https://developer.nftgo.io/) and log in
2. Obtain your private key through [Dashboard](https://developer.nftgo.io/overview)
3. Access our interface services through your private key, details can be found in [API Reference](https://docs.nftgo.io/reference)
4. You can view [Pricing](https://developer.nftgo.io/pricing) and choose the package plan that best suits your needs

## Authentication

To start exploring the NFTGo API, you need to sign up for an API key. [here](https://developer.nftgo.io/login).\
Using your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:

```Bash
curl https://data-api.nftgo.io/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>
```

All requests should be prefixed with **<https://data-api.nftgo.io/>** .

## Rate limit

Currently, we have a rate limit of 5 requests per second (5RPS) for a free trial. You can upgrade your plan [here](https://developer.nftgo.io/billing).